import { Token, IContainer, Registration, Type, IExports } from '@ts-ioc/core';
import { ModuleConfig } from './ModuleConfigure';
/**
 * injected module.
 *
 * @export
 * @class InjectedModule
 * @template T
 */
export declare class InjectedModule<T> implements IExports {
    token: Token<T>;
    config: ModuleConfig<T>;
    container: IContainer;
    type?: Type<any>;
    exports?: Token<any>[];
    providers?: Token<any>[];
    constructor(token: Token<T>, config: ModuleConfig<T>, container: IContainer, type?: Type<any>, exports?: Token<any>[], providers?: Token<any>[]);
    static classAnnations: any;
}
/**
 * Injected Module Token.
 *
 * @export
 * @class InjectModuleMetaConfigToken
 * @extends {Registration<Type<T>>}
 * @template T
 */
export declare class InjectedModuleToken<T> extends Registration<InjectedModule<T>> {
    constructor(type: Type<T>);
    static classAnnations: any;
}
