"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var core_1 = require("@ts-ioc/core");
/**
 * boot element.
 *
 * @export
 * @abstract
 * @class Boot
 * @implements {IBoot}
 */
var Runner = /** @class */ (function () {
    function Runner(token, instance, config) {
        this.token = token;
        this.instance = instance;
        this.config = config;
    }
    Runner.classAnnations = { "name": "Runner", "params": { "constructor": ["token", "instance", "config"], "run": ["data"] } };
    return Runner;
}());
exports.Runner = Runner;
/**
 * boot element
 *
 * @export
 * @class Boot
 * @extends {Runner<any>}
 */
var Boot = /** @class */ (function (_super) {
    tslib_1.__extends(Boot, _super);
    function Boot(token, instance, config) {
        var _this = _super.call(this, token, instance, config) || this;
        _this.token = token;
        _this.instance = instance;
        _this.config = config;
        return _this;
    }
    Boot.classAnnations = { "name": "Boot", "params": { "constructor": ["token", "instance", "config"] } };
    return Boot;
}(Runner));
exports.Boot = Boot;
/**
 * application runner token.
 *
 * @export
 * @class InjectRunnerToken
 * @extends {Registration<IRunner<T>>}
 * @template T
 */
var InjectRunnerToken = /** @class */ (function (_super) {
    tslib_1.__extends(InjectRunnerToken, _super);
    function InjectRunnerToken(type) {
        return _super.call(this, type, 'boot__runner') || this;
    }
    InjectRunnerToken.classAnnations = { "name": "InjectRunnerToken", "params": { "constructor": ["type"] } };
    return InjectRunnerToken;
}(core_1.Registration));
exports.InjectRunnerToken = InjectRunnerToken;
/**
 * default runner token.
 */
exports.DefaultRunnerToken = new InjectRunnerToken('default');

//# sourceMappingURL=../sourcemaps/runnable/IRunner.js.map

//# sourceMappingURL=../sourcemaps/runnable/IRunner.js.map
