import { MapSet, Token, SymbolType, IContainer, InjectToken, IContainerBuilder } from '@ts-ioc/core';
/**
 * container pool
 *
 * @export
 * @class ContainerPool
 */
export declare class ContainerPool {
    protected containerBuilder: IContainerBuilder;
    protected pools: MapSet<Token<any>, IContainer>;
    constructor(containerBuilder: IContainerBuilder);
    protected createContainer(): IContainer;
    getTokenKey(token: Token<any>): SymbolType<any>;
    isDefault(container: IContainer): boolean;
    hasDefault(): boolean;
    _default: IContainer;
    getDefault(): IContainer;
    set(token: Token<any>, container: IContainer): void;
    get(token: Token<any>): IContainer;
    has(token: Token<any>): boolean;
    create(parent?: IContainer): IContainer;
    setParent(container: IContainer, parent?: IContainer): void;
    static classAnnations: any;
}
export declare const ContainerPoolToken: InjectToken<ContainerPool>;
